%
% anyremote configuration file for atril management (Server-mode)
%

% STATUS stable
% XTEST yes
% SOUND no
% ENV no
% FBROWSER v.4i
% DEF_PRESENTATION   
% ALL_IN_ONE 
% MEDIACENTER presentation

GuiAppName=Atril
GuiAppBinary=atril
GuiAppRun=echo 'U=`id -u`;P=`pgrep -l -u $U atril`; if [ "x$P" = "x" ]; then echo NOK; else echo OK; fi'|sh -s
GuiAppIcon=atril.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=Atril is a simple multi-page document viewer. It can display and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, XPS and Portable Document Format (PDF) files.

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Include($(CfgDir)/Utils/aliases-server-presentation.cfg);\
	Include($(CfgDir)/Utils/aliases-server-fbrowser-v4i.cfg);\
	Macro(FBROWSER_IC_INIT);\
	Make(var,open_file,by_value,);\
	Make(var,app_name,by_value,Atril);\
	Make(var,app_manage_mode,by_value,atril_manage);

(Exit)=\
	Macro(FBROWSER_IC_EXIT);

(Connect)=\
	Make(mode,atril);

[Mode]=atril : default_presentation_init

APP_IS_RUN=\
	Make(var,app_run,pgrep -l -u `id -u` atril|head -1|wc -l);

[ModeEnd]

[Mode]=atril_manage : default_presentation

APP_SETUP=\
	Make(none);

APP_START_IF=\
	Make(var,app_run,pgrep -l -u `id -u` atril|head -1|wc -l);\
	Exec(if [ "x$(app_run)" = "x0" ]; then \
           cd "$(fbrowser_dir)";atril "$(open_file)" & \
         fi 2> /dev/null);
	
APP_RAISE=\
	Exec($(CfgDir)/Utils/run-or-switch-to.sh -switch atril);

APP_QUIT=\
	Exec(pkill atril);\
	Set(title, );

APP_MENU=\
	Set(menu,replace,Up,Down,Rotate,Toggle Sidepanel,PowerMgmt);\
	Macro(ALLIN1MENU);\
	Macro(MEDIACENTER_MENU);

Up=\
    Emulate(key,Up);

Down=\
    Emulate(key,Down);

Toggle Sidepanel=\
    Emulate(key,F9);

Rotate=\
    Emulate(keydown,Control_L,key,Right,keyup,Control_L);

PRES_START=\
	Emulate(key,F5);

PRES_PREV_PAGE=\
	Emulate(key,Page_Up);
	
PRES_NEXT_PAGE=\
	Emulate(key,Page_Down);

PRES_ZOOM_IN=\
	Emulate(keydown,Control_L,key,plus,keyup,Control_L);
	
PRES_ZOOM_OUT=\
	Emulate(keydown,Control_L,key,minus,keyup,Control_L);

PRES_FIRST_PAGE=\
	Emulate(key,Home);
	
PRES_LAST_PAGE=\
	Emulate(key,End);
	
PRES_TOGGLE_FULLSCREEN=\
	Emulate(key,F11);
	
PRES_REFRESH=\
	Emulate(keydown,Control_L,key,R,keyup,Control_L);

[ModeEnd]

[End]
